## org.eclipse.uml2.uml
Enum ConnectorKind

    java.lang.Object
      java.lang.Enum<ConnectorKind>
          org.eclipse.uml2.uml.ConnectorKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ConnectorKind>, org.eclipse.emf.common.util.Enumerator

    public enum ConnectorKind

extends java.lang.Enum<ConnectorKind>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Connector Kind', and utility methods for working with them. ConnectorKind is an enumeration type.

See Also:
  `UMLPackage.getConnectorKind()`

Enum Constant Summary
`ASSEMBLY_LITERAL` The 'Assembly' literal object
`DELEGATION_LITERAL` The 'Delegation' literal object

Field Summary
`static int` `ASSEMBLY` The 'Assembly' literal value
`static int` `DELEGATION` The 'Delegation' literal value
`static java.util.List<ConnectorKind>` `VALUES` A public read-only list of all the 'Connector Kind' enumerators

Method Summary
`static ConnectorKind` `get(int value)` Returns the 'Connector Kind' literal with the specified integer value
`static ConnectorKind` `get(java.lang.String literal)` Returns the 'Connector Kind' literal with the specified literal value
`static ConnectorKind` `getByName(java.lang.String name)` Returns the 'Connector Kind' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static ConnectorKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ConnectorKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ASSEMBLY_LITERAL

    public static final ConnectorKind ASSEMBLY_LITERAL

  The 'Assembly' literal object.

  See Also:
    `ASSEMBLY`

### DELEGATION_LITERAL

    public static final ConnectorKind DELEGATION_LITERAL

  The 'Delegation' literal object.

  See Also:
    `DELEGATION`

Field Detail

### ASSEMBLY

    public static final int ASSEMBLY

  The 'Assembly' literal value. Indicates that the connector is an assembly connector.

  See Also:
    `ASSEMBLY_LITERAL`, Constant Field Values

### DELEGATION

    public static final int DELEGATION

  The 'Delegation' literal value. Indicates that the connector is a delegation connector.

  See Also:
    `DELEGATION_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<ConnectorKind> VALUES

  A public read-only list of all the 'Connector Kind' enumerators.

Method Detail

### values

    public static final ConnectorKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ConnectorKind c : ConnectorKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ConnectorKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static ConnectorKind get(java.lang.String literal)

  Returns the 'Connector Kind' literal with the specified literal value.

### getByName

    public static ConnectorKind getByName(java.lang.String name)

  Returns the 'Connector Kind' literal with the specified name.

### get

    public static ConnectorKind get(int value)

  Returns the 'Connector Kind' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<ConnectorKind>`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.